Teams
/teams/issues
List cursor-paginated materialized issue summaries across accessible teams in one regional data partition. Partner callers can select the partition with x-data-region.
Required scope: team-issues:read
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Query Parameters
teamIds?string
Comma-separated team IDs. Defaults to all teams in the caller access scope.
Format
vrp-csvcodes?array<string>
Issue codes to include.
view?string
summary omits code-specific context arrays
Default
"detail"Value in
"detail" | "summary"includeEmptyTeams?boolean
include teams without any issue rows
Default
falselimit?integer
Default
50Range
1 <= value <= 100cursor?string
Opaque pagination cursor returned by a previous response. Pass it back unchanged.
Format
vrp-opaque-cursorHeader Parameters
x-data-region?string
Selects the regional data partition for this regional collection read. It does not change the authenticated team context.
Value in
"ap" | "crunchy" | "eu" | "hostaway" | "us"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.vrplatform.app/teams/issues"{
"data": [
{
"teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",
"teamName": "string",
"snapshotVersion": 9007199254740991,
"computedAt": "2024-01-15T12:30:00.000+00:00",
"issues": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"severity": "error",
"category": "criticalToUser",
"message": "string",
"affected": 9007199254740991,
"version": 9007199254740991,
"firstSeenAt": "2024-01-15T12:30:00.000+00:00",
"lastChangedAt": "2024-01-15T12:30:00.000+00:00",
"documentationUrl": "http://example.com",
"code": "teamInactive",
"context": {
"status": "string"
}
}
],
"summary": {
"total": 9007199254740991,
"affectedTotal": 9007199254740991,
"errors": 9007199254740991,
"warnings": 9007199254740991,
"criticalToUser": 9007199254740991,
"criticalToSystem": 9007199254740991
}
}
],
"page": {
"limit": 1,
"hasMore": true,
"nextCursor": "string"
}
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"links": {
"docs": "string",
"schema": "string"
},
"issues": [
{
"message": "string",
"path": [
"string"
],
"schema": "string"
}
],
"context": null
}